@import '~antd/dist/antd.css';
@mixin border {
  border-width: 1px 0 1px 0;
  border-color: #EBEBEB;
  border-style: solid;
}

* {
  font-family: 'RT_VickermanW01', sans-serif;
}

.ant-table-tbody {
  & > tr {
    &.row-disable {
      > td {
        pointer-events: none;
        a:hover {
          text-decoration: none;
        }
      }
    }
    &.ant-table-row-selected {
      & > td {
        background: rgba(0, 94, 184, 0.08);
        @include border;
      }
    }
    & > td {
      @include border;
      line-height: 1.44;
      padding: 12px 16px;
      color: #292929;
      a {
        color: #002C5F;
        &:hover {
          text-decoration: underline;
        }
      }
      svg {
        color: #706F6F;
        width: 14px;
        height: 14px;
        &[data-icon="chevron-up"] {
          color: #002C5F;
        }
      }
    }
    & > th {
      @include border;
    }
  }
}

.ant-table-tbody > tr.ant-table-expanded-row > td {
  line-height: 1;
}

.ant-table-thead {
  @include border;
  font-size: 0;
  & > tr > th {
    line-height: 19px;
    padding: 16px;
    font-weight: bold;
    background: #EBEBEB;
    color: #292929;
    @include border();
  }
}
.ant-table-small .ant-table-thead > tr > th {
  background-color: #EBEBEB;
}
.ant-table-tbody > tr.ant-table-row-selected:hover > td {
  background: rgba(0, 94, 184, 0.08);
}
.ant-table {
  .ant-radio-inner {
    border-color: #002C5F;
    border-width: 2px;
    &::after {
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
  table {
    border-collapse: collapse;
  }
  &-selection {
    justify-content: center;
  }
  &-pagination {
    align-items: center;
  }

  tr.row-disable > td{
    opacity: 0.5;
  }

  &.ant-table-small .ant-table-thead > tr {
    & > th {
      padding: 12px 16px;
      line-height: 1.24;
    }
    & > td {
      padding: 6px 8px;
    }
  }
  .ant-checkbox-inner {
    width: 20px;
    height: 20px;
    border: 2px solid #002C5F;
  }
  .ant-checkbox-checked .ant-checkbox-inner::after {
    transform: rotate(45deg) scale(1.3) translate(-50%, -50%);
  }
  .ant-checkbox-indeterminate .ant-checkbox-inner::after {
    background-color: #002C5F;
    width: 10px;
    height: 10px;
  }
  .ant-checkbox-wrapper:hover .ant-checkbox-inner, .ant-checkbox:hover .ant-checkbox-inner, .ant-checkbox-input:focus + .ant-checkbox-inner{
    border-color: #002C5F;
  }
}

.ant-checkbox-checked .ant-checkbox-inner{
  background-color: #002C5F;
  border-color: #002C5F;
}

.ant-radio-checked .ant-radio-inner{
  border-color: #002C5F;
}

.ant-radio-inner::after {
  background-color: #002C5F;
}

.ant-radio-checked::after{
  border: 1px solid #002C5F;
}

.ant-radio-wrapper:hover .ant-radio, .ant-radio:hover .ant-radio-inner, .ant-radio-input:focus + .ant-radio-inner{
  border-color: #002C5F;
}

.ant-table-thead > tr > th, .ant-table-tbody > tr > td, .ant-table tfoot > tr > th, .ant-table tfoot > tr > td {
  font-size: 16px;
}

.ant-table-column-sorter-up.active, .ant-table-column-sorter-down.active, .ant-table-filter-trigger.active {
  color: #005EB8;
}

td.ant-table-column-sort {
  background-color: rgba(204, 204, 204, 0.2);
}
.ant-pagination {
  &-disabled .bp3-button.bp3-intent-primary:disabled {
    background: #E0E0E0;
    color: #28293D;
    opacity: 0.3;
  }
  &-item-active, &-item-active:focus, &-item-active:hover {
    color: #005EB8;
    border: none;
    background: transparent;
  }
  &-item {
    border: none;
    background: transparent;
    min-width: 28px;
    height: 26px;
  }
  &-prev, &-next {
    .ant-pagination-item-link {
      border: none;
    }
  }
  .ant-pagination-prev {
    margin-right: 16px;
  }
  .ant-pagination-next {
    margin-left: 16px;
  }
  .ant-pagination-item:nth-last-child(2) {
    margin-right: 0;
  }
  &.mini {
    .ant-pagination-item {
      margin: 0 4px;
      &:nth-last-child(2) {
        margin-right: 16px;
      }
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    .ant-pagination-prev, .ant-pagination-next {
      height: auto;
    }
  }
}
.ant-table-column-sorter-full {
  font-size: 0;
  line-height: 0;
}
.ant-table-cell > [class*="icon"] {
  margin-right: 16px;
  &:last-child {
    margin-right: 0;
  }
}

table tr th.ant-table-selection-column, table tr td.ant-table-selection-column {
  padding: 12px 0 12px 16px;
}
.ant-table-column-sorter {
  color: #706F6F;
}
.ant-table.ant-table-small .ant-table-thead .ant-table-column-sorters {
  padding: 12px;
}
.ant-table.ant-table-small .ant-table-tbody > tr > td {
  padding: 8px 12px;
  &.ant-table-selection-column {
    padding: 8px 0 8px 12px;
  }
}
.ant-table.ant-table-small .ant-table-thead > tr > th {
  padding: 12px;
  &.ant-table-selection-column {
    padding: 12px 0 12px 12px;
  }
}
.ant-pagination-item-active:focus a, .ant-pagination-item-active:hover a {
  color: #005EB8;
}
.ant-pagination-item {
  &.ant-pagination-item-active a{
    color: #005EB8;
  }
  a {
    color: #28293D;
  }
}

.ant-table.ant-table-small .ant-table-thead .ant-table-filter-column-title {
  padding: 0;
}
.ant-table.ant-table-small .ant-table-thead .ant-table-filter-column {
  margin: 0;
}
.ant-table-selection .ant-checkbox-wrapper {
  margin-top: 1px;
  line-height: 20px;
}
td.ant-table-selection-column .ant-checkbox-wrapper{
  margin-top: 1px;
  line-height: 20px;
  display: block;
}
.ant-table-small .ant-table-selection-column {
  width: auto;
  min-width: auto;
}
.ant-table-filter-dropdown-btns {
  .ant-btn-link[disabled], .ant-btn-link[disabled]:hover, .ant-btn-link[disabled]:focus, .ant-btn-link[disabled]:active {
    color: #B2B2B2;
  }
  .ant-btn {
    border-radius: 4px;
    color: #002C5F;
  }
  .ant-btn-primary {
    background-color: #002C5F;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    box-shadow: none;
    color: #ffffff;
    border-color: #002C5F;
    &:focus {
      outline: none;
    }
  }
  .ant-btn-sm {
    min-height: 24px;
    min-width: 24px;
    padding: 0 8px;
  }
}
.ant-table-filter-dropdown {
  .ant-dropdown-menu-item:hover, .ant-dropdown-menu-submenu-title:hover {
    background-color: #fafafa;
  }
  .ant-dropdown-menu-item, .ant-dropdown-menu-submenu-title {
    color: #292929;
  }
  .ant-dropdown-menu-item-selected, .ant-dropdown-menu-submenu-title-selected, .ant-dropdown-menu-item-selected > a, .ant-dropdown-menu-submenu-title-selected > a {
    background: rgba(0, 94, 184, 0.08);
  }
  .ant-checkbox-inner, .ant-checkbox-wrapper:hover .ant-checkbox-inner, .ant-checkbox:hover .ant-checkbox-inner, .ant-checkbox-input:focus + .ant-checkbox-inner {
    border-color: #002C5F;
  }
}
.ant-dropdown-menu-item {
  .ant-checkbox-inner, .ant-checkbox-wrapper:hover .ant-checkbox-inner, .ant-checkbox:hover .ant-checkbox-inner, .ant-checkbox-input:focus + .ant-checkbox-inner {
    border-color: #002C5F;
  }
}
.ant-dropdown-menu-item-selected, .ant-dropdown-menu-submenu-title-selected, .ant-dropdown-menu-item-selected > a, .ant-dropdown-menu-submenu-title-selected > a{
  color: #292929;
}
.ant-radio-inner {
  border-color: #002C5F;
}
.ant-pagination-item a {
  font-size: 13px;
  line-height: 26px;
}
